Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4838 - vi race condition
Summary: vi race condition
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-01 19:06 UTC by Red Hat Bugzilla
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-04 21:34:37 UTC


Attachments (Terms of Use)

Description Red Hat Bugzilla 1999-09-01 19:06:39 UTC
I have noticed that when logged on as root and using VI,

VI will open a work file that belongs to a different user.

So, user A is editing thesis.tex and root is going to edit
/etc/hosts. Root will see the work file of user A's
thesis.tex.

I think that there is a bug in the temp files for VI but
I dont have the time to chase it down with the start of
classes at hand.

Richard Wong

Comment 1 Red Hat Bugzilla 1999-09-20 17:35:59 UTC
Is this happening to you always or occasionally or rarely?  (I use
vi as root very often and have never seen this.)

Comment 2 Red Hat Bugzilla 1999-09-23 17:10:59 UTC
One more possibility is that your machine has been compromised by
a cracker.  Consider, as a first investigative step, running the
command
	rpm -Va
And looking through any problems it reports.

Comment 3 Red Hat Bugzilla 1999-10-04 21:34:59 UTC
If anyone can reproduce this with any version of vi, please
re-open this bug with a description of what you did to recreate
the bug, and include the exact version of vim you are using.
Thanks!


Note You need to log in before you can comment on or make changes to this bug.